import { Fragment as _Fragment, jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { FormattedPreview } from "./FormattedPreview.js";
function PreviewNumberRow({ previewNumber, format, separators }) {
    return (_jsxs("div", { className: "gd-measure-format-extended-preview-row", children: [
            _jsx("div", { className: "gd-measure-format-extended-preview-number", children: _jsx("span", { children: previewNumber }) }), _jsx(FormattedPreview, { previewNumber: previewNumber, format: format, separators: separators, className: "s-number-format-preview-formatted gd-measure-format-extended-preview-formatted" })
        ] }));
}
export function PreviewRows({ previewNumbers = [0, 1.234, 1234.567, 1234567.891], format, separators, }) {
    return (_jsx(_Fragment, { children: previewNumbers.map((previewNumber) => (_jsx(PreviewNumberRow, { previewNumber: previewNumber, separators: separators, format: format }, previewNumber))) }));
}
